<template>
    <v-card max-width="400" class="free-trial-card">
        <v-card-title>
            {{ cardTitle }}
        </v-card-title>
        <v-card-text>
            {{ cardText }}
        </v-card-text>
        <v-card-text class="pb-0">
            <ul class="benefits pl-0">
                <li v-for="benefit in benefits"
                    :key="benefit"
                    class="text-left">
                    <v-icon class="pr-2 benefit-check-icon">
                        mdi-check
                    </v-icon>
                    <span class="growth-benefit-allow">{{ benefit }}</span>
                </li>
            </ul>
        </v-card-text>
        <v-card-actions class="pb-6">
            <free-trial-button :trial-button-text="'Start your free trial now'"/>
        </v-card-actions>
    </v-card>
</template>

<script>
import FreeTrialButton from '../../FreeTrialButton'

export default {
    name: 'FreeTrialPricing',
    components: {
        'free-trial-button': FreeTrialButton
    },
    data: () => ({
        cardTitle: 'Start a 7-days Free Trial',
        cardText: '7 day free trial. No Credit Card Required.',
        benefits: ['get in touch with an account manager', 'increase your followers', 'grows your social influence', 'gets more visibility'],
    }),
}
</script>

<style lang="scss" scoped>
    .free-trial-card {
        top: 60px;
        margin: 0 auto;
        @media(max-width: 960px) {
            top: 0;
        }
        .v-card__title {
            font-size: 1.7rem;
        }
        .v-card__title,
        .v-card__actions {
            flex-direction: column;
        }
    }
    .v-card__title {
        font-size: 2rem;
    }
    #pricing-plans {
        background-color: #f0f0f0;
    }
</style>
